/*
 * Copyright (C) 2005-2013 Schlichtherle IT Services.
 * All rights reserved. Use is subject to license terms.
 */
package net.java.truelicense.swing;

import javax.annotation.concurrent.Immutable;
import net.java.truelicense.core.util.*;

/**
 * @author Christian Schlichtherle
 */
@Immutable
final class Messages {

    /**
     * Note that this generally requires to set the -adaptresourcefilenames
     * option with ProGuard.
     */
    private static final String BASE_NAME = Messages.class.getName();

    static Message message(String key, Object... args) {
        return new FormattedMessage(key, args) {
            static final long serialVersionUID = 1L;

            @Override protected String baseName() { return BASE_NAME; }
        };
    }

    private Messages() { }
}
